Bug 457915 - orderedlists not ordered anymore
orderedlists not ordered anymore
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-05 08:44 EDT by Jeroen van Meeuwen
Modified: 2010-11-23 23:19 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.35
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-12 02:31:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a tar of the entire documentation/ directory (including tmp/ output for reference) (236.17 KB, application/x-gzip)
2008-08-06 03:23 EDT, Jeroen van Meeuwen
no flags Details

  None (edit)
Description Jeroen van Meeuwen 2008-08-05 08:44:24 EDT
Description of problem:

Using an orderedlist in DocBook XML does not result in an ordered list anymore (since upgrade to publican-0.34-0.fc9)

Version-Release number of selected component (if applicable):

publican-0.34-0.fc9

How reproducible:

Create an orderedlist with a few listitems such as:

==
                        <para>
                            <orderedlist>
                                <listitem>
                                    <para>
                                        Installs the required packages for the module requested (if available from the repositories).
                                    </para>
                                </listitem>
                                <listitem>
                                    <para>
                                        Sources the appropriate default module file to <filename>/etc/httpd/modules-enabled/module_package_name.conf</filename>, where <code>module_package_name</code> is the name of the package providing the module.
                                    </para>
                                </listitem>
                                <listitem>
                                    <para>
                                        Notifies the httpd service to be reloaded after the puppet run completes.
                                    </para>
                                </listitem>
                            </orderedlist>
                        </para>
==

Steps to Reproduce:
1. create orderedlist
2. make html-en-US
3. view resulting page
  
Actual results:

same looks and feel as itemizedlist

Expected results:

numbered list ("ordered") instead of itemized
Additional info:
Comment 1 Jeff Fearn 2008-08-06 00:08:15 EDT
Hi Jeroen, this is working for me, can you attach a tar containing your book?

See: http://jfearn.fedorapeople.org/Publican/chap-Publican-Using_the_publican_package.html

Which was build on Fedora 9.

Cheers, Jeff.
Comment 2 Jeroen van Meeuwen 2008-08-06 03:23:35 EDT
Created attachment 313532 [details]
a tar of the entire documentation/ directory (including tmp/ output for reference)

This is the documentation at http://puppetmanaged.org/documentation/webserver-module/WebserverModule-Implementation.html, second itemizedlist, first listitem, which contains a para with an orderedlist.
Comment 3 Jeff Fearn 2008-08-12 02:31:40 EDT
This was a bug in the CSS where nested ordered lists would inherit the image being used by the parent unordered list.

Note You need to log in before you can comment on or make changes to this bug.